diff -ru dovecot-1.0.rc12-orig/dovecot-example.conf dovecot-1.0.rc12/dovecot-example.conf
--- dovecot-1.0.rc12-orig/dovecot-example.conf	2006-10-17 13:00:10.000000000 +0200
+++ dovecot-1.0.rc12/dovecot-example.conf	2006-11-08 16:16:19.000000000 +0100
@@ -52,6 +52,8 @@
 # to log files anymore.
 #shutdown_clients = yes
 
+enable_lda = no
+
 ##
 ## Logging
 ##
diff -ru dovecot-1.0.rc12-orig/src/master/mail-process.c dovecot-1.0.rc12/src/master/mail-process.c
--- dovecot-1.0.rc12-orig/src/master/mail-process.c	2006-10-17 12:50:31.000000000 +0200
+++ dovecot-1.0.rc12/src/master/mail-process.c	2006-11-08 16:22:45.000000000 +0100
@@ -255,6 +255,8 @@
 		env_put("MBOX_LAZY_WRITES=1");
 	if (set->shutdown_clients)
 		env_put("STDERR_CLOSE_SHUTDOWN=1");
+	if (set->enable_lda)
+		env_put("ENABLE_LDA=1");
 	(void)umask(set->umask);
 
 	env_put(t_strconcat("LOCK_METHOD=", set->lock_method, NULL));
diff -ru dovecot-1.0.rc12-orig/src/master/master-settings.c dovecot-1.0.rc12/src/master/master-settings.c
--- dovecot-1.0.rc12-orig/src/master/master-settings.c	2006-11-05 11:52:09.000000000 +0100
+++ dovecot-1.0.rc12/src/master/master-settings.c	2006-11-08 16:16:59.000000000 +0100
@@ -78,6 +78,7 @@
 	DEF(SET_BOOL, shutdown_clients),
 	DEF(SET_BOOL, nfs_check),
 	DEF(SET_BOOL, version_ignore),
+	DEF(SET_BOOL, enable_lda),
 
 	/* login */
 	DEF(SET_STR, login_dir),
@@ -286,6 +287,7 @@
 	MEMBER(shutdown_clients) TRUE,
 	MEMBER(nfs_check) TRUE,
 	MEMBER(version_ignore) FALSE,
+	MEMBER(enable_lda) TRUE,
 
 	/* login */
 	MEMBER(login_dir) "login",
diff -ru dovecot-1.0.rc12-orig/src/master/master-settings.h dovecot-1.0.rc12/src/master/master-settings.h
--- dovecot-1.0.rc12-orig/src/master/master-settings.h	2006-10-17 12:48:45.000000000 +0200
+++ dovecot-1.0.rc12/src/master/master-settings.h	2006-11-08 16:18:55.000000000 +0100
@@ -39,6 +39,7 @@
 	bool shutdown_clients;
 	bool nfs_check;
 	bool version_ignore;
+	bool enable_lda;
 
 	/* login */
 	const char *login_dir;
diff -ru dovecot-1.0.rc12-orig/src/plugins/quota/quota-maildir.c dovecot-1.0.rc12/src/plugins/quota/quota-maildir.c
--- dovecot-1.0.rc12-orig/src/plugins/quota/quota-maildir.c	2006-10-17 16:12:12.000000000 +0200
+++ dovecot-1.0.rc12/src/plugins/quota/quota-maildir.c	2006-11-08 16:34:43.000000000 +0100
@@ -265,8 +265,16 @@
 
 static const char *maildirsize_get_path(struct mail_storage *storage)
 {
-	return t_strconcat(mail_storage_get_mailbox_control_dir(storage, ""),
-			   "/"MAILDIRSIZE_FILENAME, NULL);
+	if (getenv("ENABLE_LDA") != NULL) {
+		return t_strconcat(mail_storage_get_mailbox_control_dir(storage, ""),
+				   "/"MAILDIRSIZE_FILENAME, NULL);
+	}
+	else {
+		bool is_file;
+		return t_strconcat(mail_storage_get_mailbox_path(storage, "", &is_file),
+				   "/"MAILDIRSIZE_FILENAME, NULL);
+	}
+	
 }
 
 static int maildirsize_recalculate(struct maildir_quota_root *root,
